String#encode(to, from, opt) の opt[:replace] に Hash

03/29/2010 04:11 PM - naruse (Yui NARUSE)

Status: Closed   

Priority: Normal   

Assignee: naruse (Yui NARUSE)   

Target version: 1.9.2   

Description

=begin

[ruby-dev:40540] の String#encode(to, from, opt) の opt[:replace] に Hash の話を、

別にチケットとして起こしておきます

String#encode(to, from, opt) の opt[:replace] に Hash を与えられるようにして、

そこに、変換元 encoding の文字 => 変換先の文字、という未定義文字の fallback 変換表を与えられるようにする、

というものを今考えています。

これだと例えば、

fallbacks = {

?¥uE6AD => "[ふくろ]",

?¥u{1F4BA} => "[いす]"

}

"¥u{3042 E6AD 1F4BA}".encode("UTF8-KDDI", replace: fallbacks) #=> "あ[ふくろ][いす]"

=end

Associated revisions

Revision c871aee96b0d5112ecc040cd56e84a2d7fe2e3c5 - 04/13/2010 01:26 AM - naruse (Yui NARUSE)

transcode.c (transcode_loop): insert output the value when

fallback hash has a related key. [ruby-dev:40540]

[ruby-dev:40829] #3036

transcode.c (rb_econv_prepare_opts): pass to newhash

a value with the key :fallback.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@27326 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 03/31/2010 11:33 PM - naruse (Yui NARUSE)

- Target version set to 1.9.2

=begin

反対がないので、1.9.2 の feature として認められたとみなします。

なお、実装を諦めた場合や、4月中にできなかった場合は 1.9.2 には入りません。

=end

#2 - 04/02/2010 08:57 AM - znz (Kazuhiro NISHIYAMA)

- Category set to core

=begin

=end

#3 - 04/13/2010 10:27 AM - naruse (Yui NARUSE)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

=begin

06/14/2025 1/2

https://blade.ruby-lang.org/ruby-dev/40540


This issue was solved with changeset r27326.

Yui, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

=end
